## org.apache.myfaces.custom.swapimage
Class HtmlSwapImageRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.custom.swapimage.HtmlSwapImageRenderer

public class HtmlSwapImageRenderer
extends HtmlRenderer

Version:
  $Revision: 227319 $ $Date: 2005-08-04 03:48:36 -0400 (Thu, 04 Aug 2005) $
Author:
  Thomas Spiegl

Constructor Summary
`HtmlSwapImageRenderer()`

Method Summary
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, encodeBegin, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlSwapImageRenderer

    public HtmlSwapImageRenderer()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`